Arbor 3: FSM & BT Graph Editor 3.1.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
InputSlotBase Class Reference

Input slot More...

Inheritance diagram for InputSlotBase:

## Public Member Functions
void | SetInputBranch (CalculatorBranch branch)
| Set CalculatorBranch. More...
void | RemoveInputBranch (CalculatorBranch branch)
| Remove CalculatorBranch. More...
CalculatorBranch | GetInputBranch ()
| Get CalculatorBranch. More...
bool | IsConnectedInput (CalculatorBranch branch)
| It judges whether it is connected with CalculatorBranch. More...

## Public Attributes
int | branchID
| Branch ID More...
Public Attributes inherited from CalculatorSlot
NodeGraph | nodeGraph
| State machine slot belongs More...
Rect | position
| Position on ArborEditor of slot(Editor Only) More...

## Properties
override SlotType | slotType`[get]`
| Slot type More...
CalculatorBranch | branch`[get]`
| Get branch More...
bool | isUsed`[get]`
| Gets whether or not a value is used. More...
float | updatedTime`[get]`
| Time that does not depend on timeScale when value is updated. More...
Properties inherited from CalculatorSlot
abstract SlotType | slotType`[get]`
| Slot type More...
abstract System.Type | dataType`[get]`
| The type of data stored in the slot More...

## Detailed Description

Input slot

## Member Function Documentation

CalculatorBranch GetInputBranch | ( |  | ) |

Get CalculatorBranch.

Returns
  CalculatorBranch

Implements IInputSlot.

bool IsConnectedInput | ( | CalculatorBranch | branch | ) |

It judges whether it is connected with CalculatorBranch.

Parameters

  branch | CalculatorBranch

Returns
  True if connected, false otherwise.

Implements IInputSlot.

void RemoveInputBranch | ( | CalculatorBranch | branch | ) |

Remove CalculatorBranch.

Parameters

  branch | CalculatorBranch

Implements IInputSlot.

void SetInputBranch | ( | CalculatorBranch | branch | ) |

Set CalculatorBranch.

Parameters

  branch | CalculatorBranch

Implements IInputSlot.

## Member Data Documentation

int branchID

Branch ID

## Property Documentation

CalculatorBranch branch
| get

Get branch

bool isUsed
| get

Gets whether or not a value is used.

override SlotType slotType
| get

Slot type

float updatedTime
| get

Time that does not depend on timeScale when value is updated.